Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.tunnel
Class InboundGatewayProcessor

    java.lang.Object
      net.i2p.router.tunnel.HopProcessor
          net.i2p.router.tunnel.InboundGatewayProcessor

    public class InboundGatewayProcessor

extends HopProcessor

Override the hop processor to seed the message with a random IV.

Field Summary

Fields inherited from class net.i2p.router.tunnel.HopProcessor
`_config, _context, IV_LENGTH, USE_DOUBLE_IV_ENCRYPTION, USE_ENCRYPTION`

Constructor Summary
`InboundGatewayProcessor(I2PAppContext ctx, HopConfig config)`

Method Summary
`void` | `process(byte[] orig, int offset, int length)` Since we are the inbound gateway, use the IV given to us as the first 16 bytes, ignore the 'prev' hop, and encrypt the message like every other participant.

Methods inherited from class net.i2p.router.tunnel.HopProcessor
`createValidator, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InboundGatewayProcessor

    public InboundGatewayProcessor(I2PAppContext ctx,
                                   HopConfig config)

Method Detail

### process

    public void process(byte[] orig,
                        int offset,
                        int length)

  Since we are the inbound gateway, use the IV given to us as the first 16 bytes, ignore the 'prev' hop, and encrypt the message like every other participant.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD